<!doctype html>
<html>
<head>
    <title>Datos motos App</title>
</head>
<body>
<h1 style="text-align:center;">Datos motos Madrid</h1>
<div id="chart" class="chart" style="text-align:center;padding: 30px;"></div>
<div id="graph" class="graph" style="text-align:center; padding:20px;"></div>
<div id="histogram" class="histogram" style="text-align:center; padding:10px;"></div>

<div id="zone_by_ip" style="text-align:center; font-weight: bold;">
    {% if data.id %}
        <p>Dada su ip, {{ data.ip }}, {{ data.out }} Id poligono al que pertenece: {{ data.id }} </p>
        <div id="usermap" class="usermap" style="text-align:center; padding:30px;"></div>
    {% else %}
        <p>Dada su ip, {{ data.ip }}, {{ data.out }}</p>
    {% endif %}
</div>
</body>

<script src='https://cdn.plot.ly/plotly-latest.min.js'></script>
<script type="text/javascript">
    var heatmap = {{ heatmap | safe}};
    var table_data = {{ tableinfo | safe }};
    var histogram_data = {{ histogramgraph | safe }};
    var user_area = {{ usermap | safe }};
    Plotly.plot('chart',heatmap, {});
    Plotly.plot('graph',table_data, {});
    Plotly.plot('histogram',histogram_data, {});
    Plotly.plot('usermap', user_area, {});

</script>
</html>